## erlang-ranch 0.9.0

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = ranch

# Dependencies.

TEST_DEPS = ct_helper
dep_ct_helper = https://github.com/extend/ct_helper.git master

# Options.

COMPILE_FIRST = ranch_transport
CT_SUITES = acceptor sendfile
PLT_APPS = crypto public_key ssl

# Standard targets.

include erlang.mk

=== debian/changelog ===
erlang-ranch (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 19 Nov 2013 12:49:51 +0900

erlang-ranch (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Remove Priority section from each binary packages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Jul 2013 08:34:30 +0900

erlang-ranch (0.8.3-1) unstable; urgency=low

  * Initial release. (Closes: #705907)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 20 Apr 2013 19:45:07 +0900

=== debian/control ===
Source: erlang-ranch
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:14.b.4), erlang-eunit (>= 1:14.b.4), erlang-edoc (>= 1:14.b.4)
Homepage: https://github.com/extend/ranch
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-ranch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-ranch.git;a=summary

Package: erlang-ranch
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: socket acceptor pool for TCP protocols in Erlang
 erlang-ranch aims to provide everything you need to accept TCP connections 
 with a small code base and low latency while being easy to use directly
 as an application or to embed into your own.

Package: erlang-ranch-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation of erlang-ranch
 erlang-ranch aims to provide everything you need to accept TCP connections 
 with a small code base and low latency while being easy to use directly
 as an application or to embed into your own.
 .
 This package contains the html documentation of erlang-ranch API.
 .
 Only application developers will find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=ranch
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_clean:
	rm -rf doc/*.html
	rm -rf doc/*.css
	rm -rf doc/*.png
	rm -rf doc/edoc-info

	dh_auto_clean

override_dh_auto_build-arch:
	make
override_dh_auto_build-indep:
	make docs

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-ranch
	dh_gencontrol -a -perlang-ranch

override_dh_compress:
	dh_compress -X.erl -X.beam

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
	 https://github.com/extend/ranch/tags .*/(?:v||ranch[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-ranch 0.10.0

=== debian/changelog ===
erlang-ranch (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders
  * Bump standards version, no changes needed

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 23 Aug 2014 11:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: erlang-ranch
 Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
-Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+	Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 	erlang-dev (>= 1:14.b.4), erlang-eunit (>= 1:14.b.4), erlang-edoc (>= 1:14.b.4)
 Homepage: https://github.com/extend/ranch

## erlang-ranch 1.0.0

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = ranch

# Dependencies.

TEST_DEPS = ct_helper
dep_ct_helper = git https://github.com/extend/ct_helper.git master

# Options.

COMPILE_FIRST = ranch_transport
PLT_APPS = crypto public_key ssl

# Standard targets.

include erlang.mk

=== debian/changelog ===
erlang-ranch (1.0.0-1) unstable; urgency=medium

  * Bump required Erlang version to R15B
  * New upstream version 1.0.0
  * Fix short name of ISC license in d/copyright to keep Lintian happy
  * Bump standards version to 3.9.6 without other changes

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 07 Oct 2014 20:19:49 +0200

## erlang-ranch 1.1.0

=== debian/changelog ===
erlang-ranch (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Documentation does not need to be built
  * Ship examples

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 29 Apr 2015 18:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 	Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
-	erlang-dev (>= 1:14.b.4), erlang-eunit (>= 1:14.b.4), erlang-edoc (>= 1:14.b.4)
+	erlang-dev (>= 1:15.b), erlang-eunit (>= 1:15.b), erlang-edoc (>= 1:15.b)
 Homepage: https://github.com/extend/ranch
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-ranch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-ranch.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,11 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	rm -rf doc/*.html
-	rm -rf doc/*.css
-	rm -rf doc/*.png
-	rm -rf doc/edoc-info
-
-	dh_auto_clean
-
 override_dh_auto_build-arch:
 	make
-override_dh_auto_build-indep:
-	make docs
 
 override_dh_auto_install:
 	dh_auto_install
-
 	install -d \
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
 	install -m 644 ebin/* \
@@ -32,4 +21,4 @@
 	dh_gencontrol -a -perlang-ranch
 
 override_dh_compress:
-	dh_compress -X.erl -X.beam
+	dh_compress -X.erl -X.beam -X.md

## erlang-ranch 1.2.1

=== examples/tcp_reverse/Makefile ===
PROJECT = tcp_reverse
DEPS = ranch
include ../../erlang.mk

=== debian/changelog ===
erlang-ranch (1.2.1-3) unstable; urgency=medium

  * Build-depend on asciidoc-dblatex (Closes: #850998)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 18 Jan 2017 23:30:20 +0100

erlang-ranch (1.2.1-2) unstable; urgency=medium

  * Fix install doc/man3.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 05 Nov 2016 17:23:38 +0900

erlang-ranch (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.7.
  * Add libxml2-utils and asciidoc to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 03 Apr 2016 07:45:47 +0900

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 	Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
-	erlang-dev (>= 1:15.b), erlang-eunit (>= 1:15.b), erlang-edoc (>= 1:15.b)
+	erlang-dev (>= 1:15.b), erlang-eunit (>= 1:15.b), erlang-edoc (>= 1:15.b),
+	libxml2-utils, asciidoc, docbook-xml, dblatex, docbook-xsl, asciidoc-dblatex
 Homepage: https://github.com/extend/ranch
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-ranch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-ranch.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,9 @@
 %:
 	dh $@
 
-override_dh_auto_build-arch:
+override_dh_auto_build:
 	make
+	make docs
 
 override_dh_auto_install:
 	dh_auto_install
@@ -22,3 +23,5 @@
 
 override_dh_compress:
 	dh_compress -X.erl -X.beam -X.md
+
+override_dh_auto_test:

## erlang-ranch 1.3.0

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = ranch
PROJECT_DESCRIPTION = Socket acceptor pool for TCP protocols.
PROJECT_VERSION = 1.3.0
PROJECT_REGISTERED = ranch_server

# Options.

COMPILE_FIRST = ranch_transport
CT_OPTS += -pa test -ct_hooks ranch_ct_hook []
PLT_APPS = crypto public_key ssl

CI_OTP ?= \
	OTP_R16B OTP_R16B01 OTP_R16B02 OTP_R16B03-1 \
	OTP-17.1.2 OTP-17.2.2 OTP-17.3.4 OTP-17.4.1 OTP-17.5.6.6 \
	OTP-18.0.3 OTP-18.1.5 OTP-18.2.4.1 OTP-18.3.4.4 \
	OTP-19.0.7 OTP-19.1.6
#CI_HIPE ?= $(lastword $(CI_OTP))
#CI_ERLLVM ?= $(CI_HIPE)

# Dependencies.

LOCAL_DEPS = ssl

DOC_DEPS = asciideck

TEST_DEPS = ct_helper
dep_ct_helper = git https://github.com/ninenines/ct_helper master

# Standard targets.

include erlang.mk

# Also dialyze the tests.

DIALYZER_OPTS += --src -r test

# Use erl_make_certs from the tested release.

ci-setup:: $(DEPS_DIR)/ct_helper
	cp ~/.kerl/builds/$(CI_OTP_RELEASE)/otp_src_git/lib/ssl/test/erl_make_certs.erl deps/ct_helper/src/

=== examples/tcp_echo/Makefile ===
PROJECT = tcp_echo
DEPS = ranch
include ../../erlang.mk

=== debian/changelog ===
erlang-ranch (1.3.0-2) unstable; urgency=medium

  [Balint Reczey]
  * Remove myself from Uploaders[]
  [Nobuhiro Iwamatsu]
  * Set nowarn_deprecated_function to ssl_accept (Closes: #910316)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Feb 2019 08:31:55 +0900

erlang-ranch (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches.
    Applied to upstream.
  * Update debian/contorol.
    - Change maintainer address to Debian Erlang Packagers
      <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899491)
    - Bump Standards-Version to 4.1.4.
    - Update debhelper to 11.
    - Change Vcs-Browser and Vcs-Git to salsa.
    - Update Homepage field.
    - Remove whitespace.
    - Get rid of lintian 'binary-control-field-duplicates-source'.
    - Add erlang-asciideck and asciidoc-dblatex to B-D.
  * Update debian/copyright.
    - Update Source field.
    - Get rid of lintian 'insecure-copyright-format-uri'.
  * Update debian/rules.
    - Get rid of lintian 'debian-rules-parses-dpkg-parsechangelog'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 01 Jun 2018 08:00:29 +0900

=== debian/control ===
Source: erlang-ranch
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:15.b), erlang-eunit (>= 1:15.b), erlang-edoc (>= 1:15.b),
	libxml2-utils, asciidoc, asciidoc-dblatex, docbook-xml, dblatex, docbook-xsl,
	erlang-asciideck
Homepage: https://github.com/ninenines/ranch
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-ranch
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-ranch.git

Package: erlang-ranch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: socket acceptor pool for TCP protocols in Erlang
 erlang-ranch aims to provide everything you need to accept TCP connections
 with a small code base and low latency while being easy to use directly
 as an application or to embed into your own.

Package: erlang-ranch-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation of erlang-ranch
 erlang-ranch aims to provide everything you need to accept TCP connections
 with a small code base and low latency while being easy to use directly
 as an application or to embed into your own.
 .
 This package contains the html documentation of erlang-ranch API.
 .
 Only application developers will find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=ranch
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	make SKIP_DEPS=yes
	make docs SKIP_DEPS=yes
 

override_dh_auto_install:
	dh_auto_install
	install -d \
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-ranch
	dh_gencontrol -a -perlang-ranch

override_dh_compress:
	dh_compress -X.erl -X.beam -X.md

override_dh_auto_test:
